%define module_name Exception-Class-Try-Catch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exception/Class/Base.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Try/Catch.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2
Release: alt1
Summary: Try::Catch for Exception::Class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PALI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Exception::Class::Try::Catch' provides `try'/`catch' syntactic sugar from
Try::Catch for Exception::Class object
exceptions.

In other words, the exception thrown in the `try' block will always be an
object of the Exception::Class::Base class or its
ancestor in the catch block. If you throw an exception of a different class,
or just `die' with an error message, the exception will be stringified
(by the `as_string' method, if available) and blessed into
Exception::Class::Base. Exceptions inheriting from
Exception::Class::Base remain unchanged.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/E*

%changelog
* Mon Oct 23 2017 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1
- regenerated from template by package builder

* Wed May 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

